#!/usr/bin/env python

from otk import *
import sys

def cnvrt_frmbx(str,val):
    convert(val)

def convert(sw):
    if sw == 1:
        temp = OtkGetText(formbox1, 100)
        try:
       	  t1 = float(temp)
          t2 = (t1 - 32.0) * 5.0/9.0 
          Otk_Modify_Text( formbox2, str(t2) ) 
        except:
          print "error reading fahrneheit"
    else:
        temp = OtkGetText(formbox2, 100)
        try:
       	  t1 = float(temp)
          t2 = t1 * 9.0/5.0 + 32.0 
          Otk_Modify_Text( formbox1, str(t2) ) 
        except:
          print "error reading fahrneheit"

def help(str):
    y=15.0
    dy=25.0;

    Otk_Set_Text_Aspect( 0.2 ) 
    w = OtkMakeWindow( Otk_Recessed, Otk_Blue, Otk_LightGray, 10, 10, 70, 80 ) 
    OtkMakeTextLabel( w, "This program converts temperature", Otk_Black, 3.0, 1.0, 5, y ) 
    y = y + dy 
    OtkMakeTextLabel( w, "in degrees Fahrenheit to degrees", Otk_Black, 3.0, 1.0, 5, y ) 
    y = y + dy 
    OtkMakeTextLabel( w, "Celsius, or vice versa.", Otk_Black, 3.0, 1.0, 5, y ) 
    Otk_Set_Text_Aspect( 1.0 ) 

def quit(str):
    sys.exit(1)

def clr(str):
    Otk_Modify_Text( formbox1, "" ) 
    Otk_Modify_Text( formbox2, "" ) 

if __name__ == '__main__':

    OtkInitWindow( 400, 200, sys.argv )

    panel1 = OtkMakePanel( cvar.OtkOuterWindow, Otk_Raised, Otk_LightGray, 0, 0, 100, 70 )
    Otk_Set_Text_Aspect( 0.45 )
    OtkMakeTextLabel( panel1, "Fahrenheit", Otk_Black, 3.0, 1.0, 5, 25 )
    OtkMakeTextLabel( panel1, "Celsius", Otk_Black, 3.0, 1.0, 5, 65 )
    Otk_Set_Text_Aspect( 1.0 )
    formbox1 = OtkMakeTextFormBox( panel1, "", 12, 36, 20, 35, 25, cnvrt_frmbx, 1)
    formbox2 = OtkMakeTextFormBox( panel1, "", 12, 36, 60, 35, 25, cnvrt_frmbx, 2)
    OtkMakeButton( panel1, 75, 20, 20, 25, "Convert", convert, 1)
    OtkMakeButton( panel1, 75, 60, 20, 25, "Convert", convert, 2)
    panel2 = OtkMakePanel( cvar.OtkOuterWindow, Otk_Raised, Otk_LightGray, 0, 70, 100, 30 )
    OtkMakeButton( panel2,  5, 20, 20, 60, "Help?", help, 0 )
    OtkMakeButton( panel2, 40, 20, 20, 60, "Clear", clr, 0)
    OtkMakeButton( panel2, 75, 20, 20, 60, " Exit ", quit, 0)

    #OtkDrawObjectTree()

    OtkMainLoop()

